import { NgModule } from '@angular/core';
import { BrowserModule, HammerModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { AppComponent } from './app.component';
import { ComboSelectAllButtonComponent } from './combo-select-all-button/combo-select-all-button.component';
import { IgxCheckboxModule, IgxComboModule } from 'igniteui-angular';

@NgModule({
  declarations: [
    AppComponent,
    ComboSelectAllButtonComponent
  ],
  imports: [
    BrowserModule,
    HammerModule,
    BrowserAnimationsModule,
    IgxComboModule,
    IgxCheckboxModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {
}
